./devel/p5-Test-YAML-Meta, Perl 5 module to validate the META.yml file in a distribution

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.22nb2, Package name: p5-Test-YAML-Meta-0.22nb2, Maintainer: pkgsrc-users

This module was written to ensure that a META.yml file, provided
with a standard distribution uploaded to CPAN, meets the specifications
that slowly being introduced to module uploads, via the use of
ExtUtils::MakeMaker, Module::Build and Module::Install.


Required to run:
[lang/perl5] [devel/p5-Test-CPAN-Meta-YAML]

Required to build:
[devel/p5-Test-Pod-Coverage] [devel/p5-Test-Pod]

Master sites: (Expand)

SHA1: 4878adf764a932eb0e940a3a1271e5ca0dbde80a
RMD160: c6f0989d2709504d74415c8e46e1585718a76585
Filesize: 7.146 KB

Version history: (Expand)


CVS history: (Expand)


   2016-06-08 21:25:20 by Thomas Klausner | Files touched by this commit (2236) | Package updated
Log message:
Bump PKGREVISION for perl-5.24.
   2015-11-03 04:29:40 by Alistair G. Crooks | Files touched by this commit (1995)
Log message:
Add SHA512 digests for distfiles for devel category

Issues found with existing distfiles:
	distfiles/eclipse-sourceBuild-srcIncluded-3.0.1.zip
	distfiles/fortran-utils-1.1.tar.gz
	distfiles/ivykis-0.39.tar.gz
	distfiles/enum-1.11.tar.gz
	distfiles/pvs-3.2-libraries.tgz
	distfiles/pvs-3.2-linux.tgz
	distfiles/pvs-3.2-solaris.tgz
	distfiles/pvs-3.2-system.tgz
No changes made to these distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2015-06-12 12:52:19 by Thomas Klausner | Files touched by this commit (3152)
Log message:
Recursive PKGREVISION bump for all packages mentioning 'perl',
having a PKGNAME of p5-*, or depending such a package,
for perl-5.22.0.
   2015-02-17 14:28:13 by Makoto Fujiwara | Files touched by this commit (2) | Package updated
Log message:
Update to 0.22
--------------
0.22    2015-01-31
        - META marked distribution as deprecated.
   2015-01-28 02:55:27 by Makoto Fujiwara | Files touched by this commit (2) | Package updated
Log message:
Update to 0.21
--------------
0.21    2015-01-17
        - consistent abstract.
        - INSTALL documentation update.
        - extended META test suite.
        - fixed license fields in META.json to be lists.
        - added WARNING notice.
   2014-05-30 01:38:20 by Thomas Klausner | Files touched by this commit (3049)
Log message:
Bump for perl-5.20.0.
Do it for all packages that
* mention perl, or
* have a directory name starting with p5-*, or
* depend on a package starting with p5-
like last time, for 5.18, where this didn't lead to complaints.
Let me know if you have any this time.
   2013-09-08 07:14:33 by Wen Heping | Files touched by this commit (2) | Package updated
Log message:
Update to 0.20

Upstream changes:
0.20    2013-04-07
        - change file dates changed to meet W3CDTF standards.
        - reworked Makefile.PL for clarity.
        - upgraded to Test::CPAN::Meta::JSON for tests.
        - added meta.JSON.
        - updated test suite.
        - added repositories to Meta files.
   2013-05-31 14:42:58 by Thomas Klausner | Files touched by this commit (2880)
Log message:
Bump all packages for perl-5.18, that
a) refer 'perl' in their Makefile, or
b) have a directory name of p5-*, or
c) have any dependency on any p5-* package

Like last time, where this caused no complaints.